Bug 103769 - Kudzu locks machine with kernel-2.4.22-20.1.2024.2.36.nptl
Kudzu locks machine with kernel-2.4.22-20.1.2024.2.36.nptl
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-09-04 15:53 EDT by Steve Bergman
Modified: 2015-01-04 17:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-08 14:17:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/sysconfig/hwconf of machine. (3.79 KB, text/plain)
2003-09-04 15:56 EDT, Steve Bergman
no flags Details
lspci -vv of a Shuttle SB51G system (3.99 KB, text/plain)
2003-09-08 09:18 EDT, Kaj J. Niemi
no flags Details
/etc/sysconfig/hwconf of a Shuttle SB51G system (1.83 KB, text/plain)
2003-09-08 09:18 EDT, Kaj J. Niemi
no flags Details

  None (edit)
Description Steve Bergman 2003-09-04 15:53:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Kudzu (kudzu-1.1.20-1.1) works just fine with kernel-2.4.22-20.1.2024.2.1.nptl
but locks the machine hard during boot up with
kernel-2.4.22-20.1.2024.2.36.nptl.  No messages, even in text mode.  Just a
freeze up.  

Version-Release number of selected component (if applicable):
kernel-2.4.22-20.1.2024.2.36.nptl

How reproducible:
Always

Steps to Reproduce:
1. Update to latest kernel
2. Boot with kudzu service enabled.

    

Actual Results:  Hard lock (keyboard lights don't respond to keyboard)

Expected Results:  Normal boot.

Additional info:
Comment 1 Steve Bergman 2003-09-04 15:56:43 EDT
Created attachment 94213 [details]
/etc/sysconfig/hwconf of machine.
Comment 2 Steve Bergman 2003-09-05 10:31:28 EDT
More info:

Booting into single user mode and running:

# strace -f kudzu

shows the last system call to be:

open("/dev/psaux", O_RDWR|O_NONBLOCK

(No trailing parenthesis.  No return value.

Running kudzu with the earlier kernel results in a delay of a few seconds at
that point, but then kudzu continues on.

With the current kernel it never recovers.
Comment 3 Steve Bergman 2003-09-05 11:09:20 EDT
Hmm, I guess I should add that I do *not* have a ps2 mouse.  It is USB.
Comment 4 Kaj J. Niemi 2003-09-08 09:16:04 EDT
Yup, I get the same thing here although my hardware is different (attached
hwconf and lspci -vv)
Comment 5 Kaj J. Niemi 2003-09-08 09:18:08 EDT
Created attachment 94297 [details]
lspci -vv of a Shuttle SB51G system

I've got a load of these and this is reproducible on all of them. :)
Comment 6 Kaj J. Niemi 2003-09-08 09:18:35 EDT
Created attachment 94298 [details]
/etc/sysconfig/hwconf of a Shuttle SB51G system
Comment 7 Michael K. Johnson 2003-09-08 13:35:33 EDT
What does booting with "acpi=off" do in this case?
Comment 8 Kaj J. Niemi 2003-09-08 13:39:01 EDT
I've got APIC and MPS 1.1/1.4 forced _off_ from BIOS. Earlier on the Realtek
cards didn't really work with them enabled at all. I'll see what happens
tomorrow, though, and let you know.
Comment 9 Kaj J. Niemi 2003-09-08 13:39:36 EDT
Oh sorry it was a-c-p-i, not a-p-i-c. ;-) My bad.
Comment 10 Steve Bergman 2003-09-08 14:11:42 EDT
I updated to the latest rawhide today and it now works.

Comment 11 Dave Jones 2003-09-08 14:17:00 EDT
The only thing that could make a difference between 2.4.22-20.1.2024.2.36 and 
2.4.22.1.2030 is an update to execshield-B5.
Comment 12 Dave Jones 2003-09-08 14:54:27 EDT
erk, my bad. Theres no kernel update in rawhide yet, so it must have been
something else. Strange.

Note You need to log in before you can comment on or make changes to this bug.